E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
GSsl::OpenSSL::ProtocolImp Class Reference

An implementation of the GSsl::ProtocolImpBase interface for OpenSSL. More...

`#include <gssl_openssl.h>`

Inheritance diagram for GSsl::OpenSSL::ProtocolImp:

## Public Types
typedef Protocol::Result | Result
typedef OpenSSL::Error | Error
typedef OpenSSL::Certificate | Certificate
typedef OpenSSL::CertificateChain | CertificateChain

## Public Member Functions
| ProtocolImp (const ProfileImp &, const std::string &, const std::string &)
Result | connect (G::ReadWrite &)
| Implements Protocol::connect().
Result | accept (G::ReadWrite &)
| Implements Protocol::accept().
Result | stop ()
| Implements Protocol::stop().
Result | read (char *buffer, size_t buffer_size, ssize_t &read_size)
| Implements Protocol::read().
Result | write (const char *buffer, size_t size_in, ssize_t &size_out)
| Implements Protocol::write().
std::string | peerCertificate () const
| Implements Protocol::peerCertificate().
std::string | peerCertificateChain () const
| Implements Protocol::peerCertificateChain().
bool | verified () const
| Implements Protocol::verified().
std::string | requiredPeerCertificateName () const
Public Member Functions inherited from GSsl::ProtocolImpBase
virtual | ~ProtocolImpBase ()
| Destructor.

## Detailed Description

An implementation of the GSsl::ProtocolImpBase interface for OpenSSL.

Definition at line 220 of file gssl_openssl.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl_openssl.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl_openssl.cpp